# -*- encoding: utf-8 -*-
# stub: net-ssh-krb 0.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "net-ssh-krb".freeze
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joe Khoobyar".freeze, "Chris Beer".freeze]
  s.date = "2017-08-17"
  s.description = "Extends Net::SSH by adding Kerberos authentication capability for password-less logins on multiple platforms.\n".freeze
  s.email = "joe@ankhcraft.com cabeer@stanford.edu".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "example/Capfile".freeze, "example/gss.rb".freeze, "example/sspi.rb".freeze, "lib/net/ssh/authentication/methods/gssapi_with_mic.rb".freeze, "lib/net/ssh/kerberos.rb".freeze, "lib/net/ssh/kerberos/constants.rb".freeze, "lib/net/ssh/krb.rb".freeze, "net-ssh-kerberos.gemspec".freeze, "spec/integration_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/cbeer/net-ssh-kerberos".freeze
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Add Kerberos support to Net::SSH".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 2.0"])
      s.add_runtime_dependency(%q<gssapi>.freeze, ["~> 1.2.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    else
      s.add_dependency(%q<net-ssh>.freeze, [">= 2.0"])
      s.add_dependency(%q<gssapi>.freeze, ["~> 1.2.0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    end
  else
    s.add_dependency(%q<net-ssh>.freeze, [">= 2.0"])
    s.add_dependency(%q<gssapi>.freeze, ["~> 1.2.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
  end
end
